%define major     5
%define libname   %mklibname yaz %{major}
%define develname %mklibname yaz -d

Summary:	Z39.50 protocol support library
Name:		yaz
Version:	5.35.1
Release:	%mkrel 2
License:	BSD-like
Group:		System/Libraries
URL:		https://www.indexdata.dk/yaz/
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
Patch0:		yaz-config.diff
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-style-xsl
BuildRequires:	libtool
BuildRequires:	libgpg-error-devel
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(readline)
BuildRequires:	pkgconfig(hiredis)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(libmemcached)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	termcap-devel
BuildRequires:	tcp_wrappers-devel
BuildRequires:	icu-devel
BuildRequires:	bison
BuildRequires:	tcl

%description
This package contains both a test-server and clients (normal & ssl) for the
ANSI/NISO Z39.50 protocol for Information Retrieval.

%files
%doc README.md installed-docs/*.html installed-docs/*.png
%license LICENSE
%{_bindir}/yaz-*
%{_bindir}/zoomsh
%{_mandir}/man1/yaz-client*.*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-icu.1*
%{_mandir}/man1/yaz-illclient.1*
%{_mandir}/man1/yaz-json-parse.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/yaz-record-conv.1*
%{_mandir}/man1/yaz-url.1*
%{_mandir}/man1/zoomsh.*
%{_mandir}/man8/yaz-ztest*.*
# moved from lib pkg
%{_mandir}/man7/*
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Z39.50 Library
Group:		System/Libraries
Requires:	tcp_wrappers
Requires:	%{name} >= %{version}-%{release}

%description -n	%{libname}
YAZ is a library for the ANSI/NISO Z39.50 protocol for Information Retrieval.

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{develname}
Summary:	Z39.50 Library - development package
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries and includes for the libyaz package.

%files -n %{develname}
%{_bindir}/yaz-config
%{_bindir}/yaz-asncomp
%{_includedir}/yaz
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/yaz.m4
%{_datadir}/yaz/z39.50
%{_datadir}/yaz/ill
%{_mandir}/man1/yaz-asncomp.*
%{_mandir}/man1/yaz-config.*

#--------------------------------------------------------------------

%prep

%setup -q

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*
perl -pi -e "s|/usr/lib/|%{_libdir}/|g" configure*

%build
%configure \
    --enable-shared \
    --enable-tcpd \
    --with-xml2 \
    --with-xslt \
    --with-exslt \
    --with-icu \
    --with-memcached \
    --with-redis \
    --disable-static

%make_build

%check
make check

%install
%make_install docdir=/installed-docs

# fix installed docs
rm -rf installed-docs
mv %{buildroot}/installed-docs .
mv %{buildroot}%{_docdir}/yaz/* installed-docs/

# fix yaz-config (weird stuff...)
perl -pi -e "s|^yaz_echo_source=.*|yaz_echo_source=yes|g" %{buildroot}%{_bindir}/yaz-config

# Remove cruft
find %{buildroot} -name '*.la' -delete



%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 5.35.1-2.mga10
+ Revision: 2254259
- rebuild for new hiredis 1.3.0

* Thu May 22 2025 daviddavid <daviddavid> 5.35.1-1.mga10
+ Revision: 2185686
- new version: 5.35.1

* Fri May 09 2025 daviddavid <daviddavid> 5.35.0-1.mga10
+ Revision: 2182096
- new version: 5.35.0

* Sun Mar 16 2025 wally <wally> 5.34.4-2.mga10
+ Revision: 2165078
- rebuild for libxml2 2.13.6

* Fri Feb 28 2025 daviddavid <daviddavid> 5.34.4-1.mga10
+ Revision: 2153621
- new version: 5.34.4

* Sun Jan 12 2025 wally <wally> 5.34.3-2.mga10
+ Revision: 2138429
- rebuild for icu 76.1

* Thu Jan 09 2025 daviddavid <daviddavid> 5.34.3-1.mga10
+ Revision: 2136318
- new version: 5.34.3

* Fri Sep 20 2024 daviddavid <daviddavid> 5.34.2-1.mga10
+ Revision: 2099253
- new version: 5.34.2

* Wed Jun 19 2024 daviddavid <daviddavid> 5.34.1-1.mga10
+ Revision: 2075097
- new version: 5.34.1
- remove merged upstream patches

* Fri Mar 29 2024 daviddavid <daviddavid> 5.34.0-4.mga10
+ Revision: 2053092
- rebuild for new hiredis 1.2.0

* Tue Oct 10 2023 daviddavid <daviddavid> 5.34.0-2.mga10
+ Revision: 1994223
- rebuild for icu73

* Fri Jan 13 2023 daviddavid <daviddavid> 5.34.0-1.mga9
+ Revision: 1932735
- new version: 5.34.0

* Sat Jan 07 2023 squidf <squidf> 5.33.0-2.mga9
+ Revision: 1931186
- Mass rebuild for icu 72.1

* Sun Dec 25 2022 daviddavid <daviddavid> 5.33.0-1.mga9
+ Revision: 1926849
- new version: 5.33.0

* Thu Aug 11 2022 neoclust <neoclust> 5.32.0-4.mga9
+ Revision: 1876945
- New version 5.32.0

* Sat Jun 18 2022 squidf <squidf> 5.30.3-4.mga9
+ Revision: 1864931
- rebuild for icu 71.1

* Wed Mar 30 2022 umeabot <umeabot> 5.30.3-3.mga9
+ Revision: 1834206
- Mageia 9 Mass Rebuild

* Tue Aug 03 2021 luigiwalser <luigiwalser> 5.30.3-2.mga9
+ Revision: 1738990
- rebuild for icu

* Sat Dec 26 2020 daviddavid <daviddavid> 5.30.3-1.mga8
+ Revision: 1663931
- new version: 5.30.3

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.28.0-5.mga8
+ Revision: 1650942
- rebuild for icu

* Wed Jul 01 2020 wally <wally> 5.28.0-4.mga8
+ Revision: 1601081
- rebuild for icu 67.1

* Sat Apr 04 2020 wally <wally> 5.28.0-3.mga8
+ Revision: 1564516
- rebuild for new icu 66.1

* Thu Feb 20 2020 umeabot <umeabot> 5.28.0-2.mga8
+ Revision: 1546034
- Mageia 8 Mass Rebuild

* Fri Jan 31 2020 daviddavid <daviddavid> 5.28.0-1.mga8
+ Revision: 1485777
- new version: 5.28.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 5.27.2-2.mga8
+ Revision: 1476030
- rebuild for readline

* Thu Nov 21 2019 daviddavid <daviddavid> 5.27.2-1.mga8
+ Revision: 1461939
- new version: 5.27.2

* Sat Oct 05 2019 daviddavid <daviddavid> 5.27.1-3.mga8
+ Revision: 1449461
- rebuild for new icu 65.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 5.27.1-2.mga7
+ Revision: 1346126
- rebuild for icu

* Mon Dec 10 2018 daviddavid <daviddavid> 5.27.1-1.mga7
+ Revision: 1339907
- new version: 5.27.1

* Sun Oct 21 2018 daviddavid <daviddavid> 5.27.0-1.mga7
+ Revision: 1323269
- new version: 5.27.0

* Fri Aug 31 2018 daviddavid <daviddavid> 5.26.1-1.mga7
+ Revision: 1255836
- new version: 5.26.1

* Mon Aug 27 2018 daviddavid <daviddavid> 5.23.1-2.mga7
+ Revision: 1254940
- rebuild for new icu

* Sat Apr 21 2018 daviddavid <daviddavid> 5.23.1-1.mga7
+ Revision: 1220655
- new version: 5.23.1
- now libmajor is 5
- add BRS memcached, hiredis, gnutls and libgcrypt
- openssl support is no more used

* Sat Apr 21 2018 daviddavid <daviddavid> 4.2.30-1.mga7
+ Revision: 1220649
- new version: 4.2.30

* Fri Dec 29 2017 wally <wally> 4.2.20-19.mga7
+ Revision: 1187024
- rebuild for new icu

* Sat Sep 09 2017 cjw <cjw> 4.2.20-18.mga7
+ Revision: 1152011
- rebuild for openssl 1.1

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 4.2.20-17.mga6
+ Revision: 1092816
- Rebuild for icu-58.2

* Sat May 14 2016 shlomif <shlomif> 4.2.20-16.mga6
+ Revision: 1015252
- Rebuild for the new UCI (new major)

* Thu Mar 03 2016 umeabot <umeabot> 4.2.20-15.mga6
+ Revision: 984779
- Rebuild for openssl

* Fri Jan 01 2016 luigiwalser <luigiwalser> 4.2.20-14.mga6
+ Revision: 917932
- rebuild for icu

* Fri Jul 24 2015 cjw <cjw> 4.2.20-13.mga6
+ Revision: 856789
- rebuild for icu 55

* Wed Oct 15 2014 umeabot <umeabot> 4.2.20-12.mga5
+ Revision: 747115
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 4.2.20-11.mga5
+ Revision: 725285
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 4.2.20-10.mga5
+ Revision: 690828
- Mageia 5 Mass Rebuild

* Sat Apr 05 2014 wally <wally> 4.2.20-9.mga5
+ Revision: 611820
- rebuild for new icu
- drop old and unneeded Mdv era obsoletes/conflicts

* Mon Oct 21 2013 umeabot <umeabot> 4.2.20-8.mga4
+ Revision: 537661
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 4.2.20-7.mga4
+ Revision: 487456
- rebuild for icu 52

* Sun May 26 2013 fwang <fwang> 4.2.20-6.mga4
+ Revision: 427927
- rebuild for new icu

* Mon Jan 14 2013 umeabot <umeabot> 4.2.20-5.mga3
+ Revision: 387553
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 4.2.20-4.mga3
+ Revision: 316664
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 4.2.20-3.mga3
+ Revision: 314747
- rebuild for new icu

* Wed May 30 2012 fwang <fwang> 4.2.20-2.mga3
+ Revision: 249649
- rebuild for new icu

* Sun Nov 20 2011 dmorgan <dmorgan> 4.2.20-1.mga2
+ Revision: 169866
- New version 4.2.20

* Sun Nov 20 2011 dmorgan <dmorgan> 4.0.1-6.mga2
+ Revision: 169849
- Remove .*a files

* Mon Jun 20 2011 fwang <fwang> 4.0.1-5.mga2
+ Revision: 110360
- rebuild for new icu

* Mon Feb 07 2011 spuhler <spuhler> 4.0.1-4.mga1
+ Revision: 48392
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package yaz


* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-4mdv2011.0
+ Revision: 615760
- the mass rebuild of 2010.1 packages

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 4.0.1-3mdv2010.1
+ Revision: 536634
- rebuild

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 4.0.1-2mdv2010.1
+ Revision: 526124
- rebuild for new icu

* Thu Feb 18 2010 Oden Eriksson <oeriksson@mandriva.com> 4.0.1-1mdv2010.1
+ Revision: 507482
- 4.0.1

* Mon Nov 09 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.50-1mdv2010.1
+ Revision: 463704
- update to new version 3.0.50

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.48-1mdv2010.0
+ Revision: 440780
- update to new version 3.0.48

* Mon Jul 13 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.47-1mdv2010.0
+ Revision: 395462
- update to new version 3.0.47

* Wed Jun 10 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.46-1mdv2010.0
+ Revision: 384871
- 3.0.46
- rediffed patches
- nuke obsolete options

* Tue Mar 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.41-2mdv2009.1
+ Revision: 347885
- rebuild for latest readline

* Mon Feb 02 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0.41-1mdv2009.1
+ Revision: 336358
- fix build (duh!)
- 3.0.41
- rediffed patches

* Fri Dec 05 2008 Adam Williamson <awilliamson@mandriva.org> 3.0.36-1mdv2009.1
+ Revision: 310408
- rebuild with new tcl
- new release 3.0.36

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.34-1mdv2009.0
+ Revision: 237499
- rediffed P0

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.34

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 16 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.26-1mdv2009.0
+ Revision: 208164
- 3.0.26

* Fri Feb 15 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.24-1mdv2008.1
+ Revision: 168741
- second try (bork bork bork!)
- 3.0.24
- rediffed P0
- make that strange doc install work

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.18-2mdv2008.1
+ Revision: 138524
- reintroduce patch 0

* Thu Dec 27 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.18-1mdv2008.1
+ Revision: 138494
- add bunch of missing buildrequires, and remove not needed ones
- fix file list
- drop patch 0
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 13 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.14-2mdv2008.1
+ Revision: 108417
- make it build on cs4

* Tue Oct 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 3.0.14-1mdv2008.1
+ Revision: 101377
- new version

* Mon Oct 01 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.10-2mdv2008.0
+ Revision: 94147
- rebuilt due to missing packages

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.10-1mdv2008.0
+ Revision: 81705
- 3.0.10
- drop obolete patches
- new devel naming

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 3.0.6-3mdv2008.0
+ Revision: 74638
- better conflict on older lib

* Wed Aug 29 2007 Pixel <pixel@mandriva.com> 3.0.6-2mdv2008.0
+ Revision: 74631
- add explicit conflict from libyaz3-devel on libyaz2-devel

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.6-1mdv2008.0
+ Revision: 36505
- 3.0.6

* Tue May 08 2007 Oden Eriksson <oeriksson@mandriva.com> 3.0.2-1mdv2008.0
+ Revision: 25052
- 3.0.2
- rediffed P0
- new major (3)

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.54-2mdv2008.0
+ Revision: 16550
- regenerate P0 one more time

* Sat Apr 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.54-1mdv2008.0
+ Revision: 16497
- new version
- regenerate P0 and P1
- own missing files


* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.48-1mdv2007.0
+ Revision: 118327
- new version
- use major
- move non-so files from lib package
- spec file clean

* Mon Jan 22 2007 Oden Eriksson <oeriksson@mandriva.com> 2.1.46-2mdv2007.1
+ Revision: 111894
- added fixes to P0 by Tomasz Pawel Gajc

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rework patch 0
    - new version

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.42-1mdv2007.1
+ Revision: 102126
- make it build against the shared pcal libs
- added lib64 fixes
- 2.1.42
- rediffed P0
- use the check macro
- use "system" autofoo versions
- fix deps

* Wed Dec 27 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-2mdv2007.1
+ Revision: 102117
- Import yaz

* Thu Jan 05 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-2mdk
- rebuild

* Tue Nov 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.1.10-1mdk
- 2.1.10
- rediffed P0
- use %%mkrel

* Fri Oct 07 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.8-1mdk
- 2.1.8

* Thu Apr 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.1.4-1mdk
- 2.1.4 (Major feature enhancements)
- run the test suite

* Mon Apr 04 2005 Pascal Terjan <pterjan@mandrake.org> 2.0.28-3mdk
- multiarch

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0.28-2mdk
- rebuild for new readline

* Fri Nov 26 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.28-1mdk
- 2.0.28
- rediffed P0

* Mon Nov 08 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.26-1mdk
- 2.0.26

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-4mdk
- rebuild

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-3mdk
- fix yaz-config (weird stuff...)

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-2mdk
- make it compile on 9.2 too

* Tue May 25 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.21-1mdk
- 2.0.21
- drop the patches
- added P0 (yaz-config)
- misc spec file fixes

